VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::Configuration Interface Reference

The `Configuration` interface provides methods to configure the global settings of the Content Library Service. More...

Inherited by vmware::content::ConfigurationStub.

List of all members.

## Public Member Functions
void | Update (vmware.content.ConfigurationModel model)
| Updates the configuration.
void | Update (vmware.content.ConfigurationModel model, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the configuration.
global::System.Threading.Tasks.Task | UpdateAsync (vmware.content.ConfigurationModel model)
| Updates the configuration.
global::System.Threading.Tasks.Task | UpdateAsync (vmware.content.ConfigurationModel model, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the configuration.
vmware.content.ConfigurationModel | Get ()
| Retrieves the current configuration values.
vmware.content.ConfigurationModel | Get (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves the current configuration values.
global::System.Threading.Tasks.Task < vmware.content.ConfigurationModel > | GetAsync ()
| Retrieves the current configuration values.
global::System.Threading.Tasks.Task < vmware.content.ConfigurationModel > | GetAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves the current configuration values.

## Detailed Description

The `Configuration` interface provides methods to configure the global settings of the Content Library Service.

The configuration settings are used by the Content Library Service to control the behavior of various operations.

## Member Function Documentation

vmware.content.ConfigurationModel vmware::content::Configuration::Get | ( |  | ) |

Retrieves the current configuration values.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.GetConfiguration` .

Returns:
  The ConfigurationModel instance representing the configuration of the Content Library Service.

Implemented in vmware::content::ConfigurationStub.

vmware.content.ConfigurationModel vmware::content::Configuration::Get | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves the current configuration values.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.GetConfiguration` .

Returns:
  The ConfigurationModel instance representing the configuration of the Content Library Service.

Implemented in vmware::content::ConfigurationStub.

global::System.Threading.Tasks.Task<vmware.content.ConfigurationModel> vmware::content::Configuration::GetAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Retrieves the current configuration values.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.GetConfiguration` .

Returns:
  The ConfigurationModel instance representing the configuration of the Content Library Service.

Implemented in vmware::content::ConfigurationStub.

global::System.Threading.Tasks.Task<vmware.content.ConfigurationModel> vmware::content::Configuration::GetAsync | ( |  | ) |

Retrieves the current configuration values.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.GetConfiguration` .

Returns:
  The ConfigurationModel instance representing the configuration of the Content Library Service.

Implemented in vmware::content::ConfigurationStub.

void vmware::content::Configuration::Update | ( | vmware.content.ConfigurationModel | model,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Updates the configuration.

The update is incremental. Any field in the ConfigurationModel class that is null will not be modified. Note that this update method doesn't guarantee an atomic change of all the properties. In the case of a system crash or failure, some of the properties could be left unchanged while others may be updated.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if one of the configuration properties is not within the proper range.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.UpdateConfiguration` .

Parameters:

  model | The ConfigurationModel specifying the settings to update.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::content::ConfigurationStub.

void vmware::content::Configuration::Update | ( | vmware.content.ConfigurationModel | model | ) |

Updates the configuration.

The update is incremental. Any field in the ConfigurationModel class that is null will not be modified. Note that this update method doesn't guarantee an atomic change of all the properties. In the case of a system crash or failure, some of the properties could be left unchanged while others may be updated.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if one of the configuration properties is not within the proper range.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.UpdateConfiguration` .

Parameters:

  model | The ConfigurationModel specifying the settings to update.

Implemented in vmware::content::ConfigurationStub.

global::System.Threading.Tasks.Task vmware::content::Configuration::UpdateAsync | ( | vmware.content.ConfigurationModel | model | ) |

Updates the configuration.

The update is incremental. Any field in the ConfigurationModel class that is null will not be modified. Note that this update method doesn't guarantee an atomic change of all the properties. In the case of a system crash or failure, some of the properties could be left unchanged while others may be updated.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if one of the configuration properties is not within the proper range.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.UpdateConfiguration` .

Parameters:

  model | The ConfigurationModel specifying the settings to update.

Implemented in vmware::content::ConfigurationStub.

global::System.Threading.Tasks.Task vmware::content::Configuration::UpdateAsync | ( | vmware.content.ConfigurationModel | model,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Updates the configuration.

The update is incremental. Any field in the ConfigurationModel class that is null will not be modified. Note that this update method doesn't guarantee an atomic change of all the properties. In the case of a system crash or failure, some of the properties could be left unchanged while others may be updated.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if one of the configuration properties is not within the proper range.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.UpdateConfiguration` .

Parameters:

  model | The ConfigurationModel specifying the settings to update.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::content::ConfigurationStub.

The documentation for this interface was generated from the following file:

- Configuration.cs